## org.jfree.data.time
Class DateRange

    java.lang.Object
      org.jfree.data.Range
          org.jfree.data.time.DateRange

All Implemented Interfaces:
  java.io.Serializable

    public class DateRange

extends Range
implements java.io.Serializable

A range specified in terms of two `java.util.Date` objects. Instances of this class are immutable.

See Also:
  Serialized Form

Constructor Summary
`DateRange()` Default constructor.
`DateRange(java.util.Date lower, java.util.Date upper)` Constructs a new range.
`DateRange(double lower, double upper)` Constructs a new range using two values that will be interpreted as "milliseconds since midnight GMT, 1-Jan-1970".
`DateRange(Range other)` Constructs a new range that is based on another `Range`.

Method Summary
`java.util.Date` `getLowerDate()` Returns the lower (earlier) date for the range.
`java.util.Date` `getUpperDate()` Returns the upper (later) date for the range.
`java.lang.String` `toString()` Returns a string representing the date range (useful for debugging).

Methods inherited from class org.jfree.data.Range
`combine, constrain, contains, equals, expand, getCentralValue, getLength, getLowerBound, getUpperBound, hashCode, intersects, shift, shift`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateRange

    public DateRange()

  Default constructor.

### DateRange

    public DateRange(java.util.Date lower,
                     java.util.Date upper)

  Constructs a new range.

  Parameters:
    `lower` - the lower bound (`null` not permitted).
    `upper` - the upper bound (`null` not permitted).

### DateRange

    public DateRange(double lower,
                     double upper)

  Constructs a new range using two values that will be interpreted as "milliseconds since midnight GMT, 1-Jan-1970".

  Parameters:
    `lower` - the lower (oldest) date.
    `upper` - the upper (most recent) date.

### DateRange

    public DateRange(Range other)

  Constructs a new range that is based on another `Range`.

  The other range does not have to be a `DateRange`. If it is not, the upper and lower bounds are evaluated as milliseconds since midnight GMT, 1-Jan-1970.

  Parameters:
    `other` - the other range (`null` not permitted).

Method Detail

### getLowerDate

    public java.util.Date getLowerDate()

  Returns the lower (earlier) date for the range.

  Returns:
    The lower date for the range.

### getUpperDate

    public java.util.Date getUpperDate()

  Returns the upper (later) date for the range.

  Returns:
    The upper date for the range.

### toString

    public java.lang.String toString()

  Returns a string representing the date range (useful for debugging).

  Overrides:
    `toString` in class `Range`
  Returns:
    A string representing the date range.